﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;

}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: royalblue !important;
    border-color: #1861ac;
}

app {
    position: relative;
    display: flex;
    flex-direction: column;
    height: 100%;
}

.top-row {
    height: 3.5rem;
    display: flex;
    align-items: center;
}

.main {
    flex: 1;
}

    .main .top-row {
        background-color: #f7f7f7;
        border-bottom: 1px solid #d6d5d5;
        justify-content: flex-end;
    }

        .main .top-row > a, .main .top-row .btn-link {
            white-space: nowrap;
            margin-left: 1.5rem;
        }

        .main .top-row a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 100%);
}

    .sidebar .top-row {
        background-color: rgba(0,0,0,0.4);
    }

    .sidebar .navbar-brand {
        font-size: 1.1rem;
    }

    .sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .sidebar .nav-item {
        font-size: 0.9rem;
        padding-bottom: 0.5rem;
    }

        .sidebar .nav-item:first-of-type {
            padding-top: 1rem;
        }

        .sidebar .nav-item:last-of-type {
            padding-bottom: 1rem;
        }

        .sidebar .nav-item a {
            color: #d7d7d7;
            border-radius: 4px;
            height: 3rem;
            display: flex;
            align-items: center;
            line-height: 3rem;
        }

            .sidebar .nav-item a.active {
                background-color: rgba(255,255,255,0.25);
                color: white;
            }

            .sidebar .nav-item a:hover {
                background-color: rgba(255,255,255,0.1);
                color: white;
            }

.content {
    /*padding-top: 4.1rem;*/
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.img-logo {
    width: 125px;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1200;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

@media (max-width: 767.98px) {
    .main .top-row:not(.auth) {
        display: none;
    }

    .main .top-row.auth {
        justify-content: space-between;
    }

    .main .top-row a, .main .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }

    .sidebar {
        width: 250px;
        min-height: 100vh;
        height: auto;
        min-height: 100vh;
        position: sticky;
        top: 0;
    }

    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        padding-left: 20rem !important;
        padding-right: 1.5rem !important;
        padding-top: 1.1rem;
    }

    .navbar-toggler {
        display: none;
    }

    /*.sidebar .collapse {*/
        /* Never collapse the sidebar for wide screens */
        /*display: block;
    }*/
}


.e-panel-header {
    background-color: rgba(0, 0, 0, .2);
    text-align: center;
    font-size: smaller;
    padding: 0px;
}

.e-tab .e-content .e-item {
    font-size: smaller;
    padding: 0px;
}

.e-panel-content {
    font-size: smaller;
    padding: 0px;
}

.e-dashboardlayout.e-control .e-panel .e-panel-container .e-panel-header {
    font-size: smaller;
    height: fit-content;
    padding: 0px;
}


.e-custom {
    border-radius: 0;
    height: 40px;
    width: 60px;
    font-weight: bolder;
    border-width: 3px;
}

.row {
    padding-bottom: 10px;
}

.row label {
    font-size: 14px;
    font-weight: 600;
    padding-bottom: 2px;
}

    .row input::placeholder {
        font-style: italic !important;
        font-weight: 300;
        font-size: 14px;
    }

.e-radio:disabled+label .e-label {
    color: #111827 !important;
}

.e-checkbox-wrapper.e-checkbox-disabled .e-label {
    color: #111827 !important;
}

.sticky-header {
    position: sticky !important;
    top: 0;
    z-index: 10;
    margin: 0 -13px;
}

.sticky-toolbar {
    color: #f5f5f5;
}

.e-control.e-toolbar.e-lib.sticky-toolbar.e-keyboard {
    background-color: #666666 !important;
    font-size: 14px;
}

.e-toolbar-items.e-tbar-pos {
    background-color: #666666 !important;
    font-size: 14px;
}

.e-control.e-toolbar.e-lib.sticky-toolbar.e-keyboard a {
    cursor: pointer;
    color: #D8EDFF;
    text-decoration: underline;
    font-weight: 600;
}

.pad-check {
    padding-right: 25px !important;
}

.thcenter {
    text-align: center !important;
}

input:read-only:not([read-only="false"]) {
    cursor: not-allowed !important;
}
textarea:read-only:not([read-only="false"]) {
    cursor: not-allowed !important;
}
input-group:read-only:not([read-only="false"]) {
    cursor: not-allowed !important;
}
.e-radio-wrapper:disabled {
    cursor: not-allowed !important;
    --tw-ring-shadow: black !important;
}
.e-readonly {
    cursor: not-allowed !important;
}
.e-btn:disabled {
    cursor: not-allowed !important;
}
.no-case {
    text-transform: none !important;
}

.syncfusion-label {
    font-family: 'Inter';
    font-size: 14px; 
    color: #111827;
}

.e-disableuserselect {
    -webkit-user-select: initial !important;
    -ms-user-select: initial !important;
    user-select: initial !important;
}


.e-checkbox-wrapper .e-frame, .e-css.e-checkbox-wrapper .e-frame {
    border-color: black !important;
}

.e-checkbox-wrapper.e-checkbox-disabled .e-frame, .e-css.e-checkbox-wrapper.e-checkbox-disabled .e-frame {
    border-color: #e5e7eb !important;
}


.e-radio + label::before {
    border-color: black !important;
}

.e-checkbox-wrapper .e-frame:hover, .e-css.e-checkbox-wrapper .e-frame:hover {
    border-color: #4f46e5 !important;
    background-color: #ccc !important;
}

.e-radio:hover + label::before {
    border-color: #4f46e5 !important;
    background-color: #ccc !important;
}

.e-radio:disabled + label::before {
    border-color: #e5e7eb !important;
}

.font-yellow {
    color: #EDC807;
}

.font-blue-purple {
    color: #4f46e5;
}

.font-dark-green {
    color: #4DB078;
}

.font-green {
    color: #64E39A;
}

.font-light-green {
    color: #64E370;
}

.font-orange {
    color: #F45D01;
}

.font-red {
    color: #FF6759;
}

.font-light-blue {
    color: #D8EDFF;
}

.font-dark-grey {
    color: #666666;
}

.font-light-grey {
    color: #e5e7eb;
}

.font-off-white {
    color: #f5f5f5;
}

.nav-link{
    text-decoration:underline !important;
}

.fa-lock {
    color: #6b7280 !important;
}

.fa-lock-open {
    color: #6b7280 !important;
}

.e-reportviewer-param.e-calendar {
    max-width: 100% !important;
}